Notifications
Your Projects notifications.
| Method | Path | Summary |
|---|---|---|
| GET | /v1/app/project/notifications | List the caller's cross-project notifications |
| GET | /v1/app/project/notifications/unread-count | Get the caller's unread notification count |
| PATCH | /v1/app/project/notifications/:id/read | Mark a notification as read |
| POST | /v1/app/project/notifications/read-all | Mark all of the caller's notifications as read |
#List the caller's cross-project notifications
GET
/v1/app/project/notificationsList the caller's cross-project notifications. Pass "1" or "true" to only return unread notifications
- Address
https://<your-org>.brambleit.cloud/api/v1/app/project/notifications- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Projects.
Query parameters
| Name | Type | Description |
|---|---|---|
unread_only | string | |
limit | integer |
Response 200
| Field | Type | Description |
|---|---|---|
notifications | array of object | |
notifications[].id | integer | |
notifications[].project_id | integer | |
notifications[].work_package_id | integer, or null | |
notifications[].user_id | integer | |
notifications[].actor_user_id | integer, or null | |
notifications[].type | string: "assigned" | "comment" | "mention" | "status_change" | |
notifications[].is_read | boolean | |
notifications[].created_at | string (date-time) | |
notifications[].project_name | string | |
notifications[].project_public_id | string | |
notifications[].work_package_subject | string | |
notifications[].actor | any |
Example response
JSON
{
"notifications": [
{
"id": 42,
"project_id": 7,
"work_package_id": 7,
"user_id": 7,
"actor_user_id": 7,
"type": "assigned",
"is_read": true,
"created_at": "2026-11-12T09:30:00.000Z",
"project_name": "Example project name",
"project_public_id": "string",
"work_package_subject": "Example work package subject",
"actor": null
}
]
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/app/project/notifications' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/app/project/notifications', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/v1/app/project/notifications",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/v1/app/project/notifications' -Headers $headers#Get the caller's unread notification count
GET
/v1/app/project/notifications/unread-count- Address
https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/unread-count- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Projects.
Response 200
| Field | Type | Description |
|---|---|---|
count | integer |
Example response
JSON
{
"count": 3
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/unread-count' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/unread-count', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/unread-count",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/unread-count' -Headers $headers#Mark a notification as read
PATCH
/v1/app/project/notifications/:id/readMark a notification as read. Notification ID
- Address
https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/:id/read- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Projects.
Path parameters
| Name | Type | Description |
|---|---|---|
idrequired | integer |
Response 200
| Field | Type | Description |
|---|---|---|
ok | boolean |
Example response
JSON
{
"ok": true
}Example request
Bash
curl -X PATCH 'https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/42/read' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/42/read', {
method: 'PATCH',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.patch(
"https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/42/read",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method PATCH -Uri 'https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/42/read' -Headers $headers#Mark all of the caller's notifications as read
POST
/v1/app/project/notifications/read-all- Address
https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/read-all- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Projects.
Response 200
| Field | Type | Description |
|---|---|---|
ok | boolean |
Example response
JSON
{
"ok": true
}Example request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/read-all' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/read-all', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/read-all",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/read-all' -Headers $headersWas this page helpful?
Thanks for your feedback.